Bug 440709 (CVE-2008-1423) - CVE-2008-1423 vorbis: integer oveflow caused by huge codebooks
Summary: CVE-2008-1423 vorbis: integer oveflow caused by huge codebooks
Status: CLOSED ERRATA
Alias: CVE-2008-1423
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=vendorsec,reported=20080318,pu...
Keywords: Security
Depends On: 444703 444704 444705 444706 444707 444708 446341 446342 446343 446344 833929
Blocks: 438125
TreeView+ depends on / blocked
 
Reported: 2008-04-04 15:33 UTC by Tomas Hoger
Modified: 2019-06-08 12:29 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-06-19 10:47:59 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0270 normal SHIPPED_LIVE Important: libvorbis security update 2008-05-14 07:54:26 UTC
Red Hat Product Errata RHSA-2008:0271 normal SHIPPED_LIVE Important: libvorbis security update 2008-05-14 07:35:55 UTC

Description Tomas Hoger 2008-04-04 15:33:10 UTC
Will Drewry of the Google Security Team reported an issue in OGG Vorbis library,
that can cause an integer overflow in the computation of quantvals and of the
space required for quantlist leading to a heap overflow.

Check for the overflow added in the fix.  Files are rejected if the total
virtual space of the codebook exceeds 24 bits.

Comment 1 Tomas Hoger 2008-04-04 15:33:57 UTC
Upstream patch:

$ svn log -r 14604 http://svn.xiph.org/trunk/vorbis/
------------------------------------------------------------------------
r14604 | xiphmont | 2008-03-19 09:03:29 +0100 (Wed, 19 Mar 2008) | 3 lines

dd checks/rejection for absurdly huge codebooks.

------------------------------------------------------------------------

$ svn diff -c 14604 http://svn.xiph.org/trunk/vorbis/
Index: lib/codebook.c
===================================================================
--- lib/codebook.c      (revision 14603)
+++ lib/codebook.c      (revision 14604)
@@ -159,6 +159,8 @@
   s->entries=oggpack_read(opb,24);
   if(s->entries==-1)goto _eofout;

+  if(_ilog(s->dim)+_ilog(s->entries)>24)goto _eofout;
+
   /* codeword ordering.... length ordered or unordered? */
   switch((int)oggpack_read(opb,1)){
   case 0:


Comment 3 Tomas Hoger 2008-04-28 13:28:48 UTC
https://trac.xiph.org/changeset/14604

Comment 6 Tomas Hoger 2008-05-14 07:30:44 UTC
Lifting embargo.

Comment 8 Fedora Update System 2008-05-14 10:47:53 UTC
libvorbis-1.2.0-4.fc9 has been submitted as an update for Fedora 9

Comment 9 Fedora Update System 2008-05-14 10:50:16 UTC
libvorbis-1.2.0-2.fc8 has been submitted as an update for Fedora 8

Comment 10 Fedora Update System 2008-05-14 10:51:45 UTC
libvorbis-1.1.2-4.fc7 has been submitted as an update for Fedora 7

Comment 11 Fedora Update System 2008-05-14 22:08:03 UTC
libvorbis-1.2.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-05-14 22:08:46 UTC
libvorbis-1.1.2-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-05-14 22:10:09 UTC
libvorbis-1.2.0-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.